com.sleepycat.db

## Class HashStats

- java.lang.Object
- - com.sleepycat.db.DatabaseStats
  - - com.sleepycat.db.HashStats

    public class HashStats
    extends DatabaseStats

The HashStats object is used to return Hash database statistics.

### Method Summary

Methods
`long` `getBFree()` The number of bytes free on bucket pages.
`long` `getBigBFree()` The number of bytes free on big item pages.
`int` `getBigPages()` The number of big key/data pages.
`int` `getBuckets()` The the number of hash buckets.
`int` `getDup()` The number of duplicate pages.
`long` `getDupFree()` The number of bytes free on duplicate pages.
`int` `getFfactor()` The desired fill factor specified at database-creation time.
`int` `getFree()` The number of pages on the free list.
`int` `getMagic()` The magic number that identifies the file as a Hash file.
`int` `getMetaFlags()` Reports internal flags.
`int` `getNumBlobs()` The number of blob records.
`int` `getNumData()` The number of key/data pairs in the database.
`int` `getNumKeys()` The number of unique keys in the database.
`int` `getOverflows()` The number of overflow pages.
`long` `getOvflFree()` The number of bytes free on overflow pages.
`int` `getPageCount()` The number of pages in the database.
`int` `getPageSize()` The underlying Hash database page (and bucket) size, in bytes.
`int` `getVersion()` The version of the Hash database.
`java.lang.String` `toString()` For convenience, the HashStats class has a toString method that lists all the data fields.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getMagic

    public int getMagic()

The magic number that identifies the file as a Hash file.

#### getVersion

    public int getVersion()

The version of the Hash database.

#### getMetaFlags

    public int getMetaFlags()

Reports internal flags. For internal use only.

#### getNumKeys

    public int getNumKeys()

The number of unique keys in the database.

If the `Database.getStats` call was configured by the `StatsConfig.setFast` method, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

#### getNumData

    public int getNumData()

The number of key/data pairs in the database.

If the `Database.getStats` call was configured by the `StatsConfig.setFast` method, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

#### getNumBlobs

    public int getNumBlobs()

The number of blob records.

#### getPageCount

    public int getPageCount()

The number of pages in the database.

Returned if `StatsConfig.setFast(boolean)` was configured.

#### getPageSize

    public int getPageSize()

The underlying Hash database page (and bucket) size, in bytes.

#### getFfactor

    public int getFfactor()

The desired fill factor specified at database-creation time.

#### getBuckets

    public int getBuckets()

The the number of hash buckets.

#### getFree

    public int getFree()

The number of pages on the free list.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getBFree

    public long getBFree()

The number of bytes free on bucket pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getBigPages

    public int getBigPages()

The number of big key/data pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getBigBFree

    public long getBigBFree()

The number of bytes free on big item pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getOverflows

    public int getOverflows()

The number of overflow pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getOvflFree

    public long getOvflFree()

The number of bytes free on overflow pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getDup

    public int getDup()

The number of duplicate pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### getDupFree

    public long getDupFree()

The number of bytes free on duplicate pages.

The information is only included if the `Database.getStats` call was not configured by the `StatsConfig.setFast` method.

#### toString

    public java.lang.String toString()

For convenience, the HashStats class has a toString method that lists all the data fields.

Overrides:
  `toString` in class `java.lang.Object`